#!/bin/sh
# test we are root
if [ "$(id -u)" != "0" ]; then
   exit 1
fi

export CFLAGS="-mtune=generic -Os -pipe"
export CXXFLAGS="-mtune=generic -Os -pipe "

P1=PortAudio
P=portaudio
V=19.7.0
SRC=$P-$V
USER=`cat /etc/sysconfig/tcuser`
LIST="compiletc submitqc intltool alsa-dev "
for Z in $LIST
    do 
    su -c "tce-load -i $Z" $USER
done

cd /tmp
su -c "/usr/local/bin/wget -nc --no-check-certificate \
https://github.com/$P1/$P/archive/refs/tags/v$V.tar.gz  "  $USER
tar xvf v$V*gz
cd $SRC
./configure --prefix=/usr/local --disable-static --localstatedir=/var --enable-cxx --without-oss --without-jack
# Target         x86_64-unknown-linux-gnu
#  C++ bindings  yes
#  Debug output  no
#  ALSA          yes
#  ASIHPI        no
#  OSS           no
#  JACK          no

find . -name Makefile -type f -exec sed -i 's/-O2/ /g' {} \;
make # not make -j5
make install DESTDIR=/tmp/$P # strip fails
cd /tmp

# dev
#####
mkdir -p $P-dev/usr/local/lib/
mv $P/usr/local/include $P-dev/usr/local/
mv $P/usr/local/lib/pkgconfig $P-dev/usr/local/lib/
rm -rf  $P/usr/local/lib/*.la 

# main
#####
strip --strip-unneeded $P/usr/local/lib/*

mkdir -p $P/usr/local/share/doc/$P
cp $SRC/LICENSE.txt $P/usr/local/share/doc/$P/

# TCZ them
###########
LIST2="$P $P-dev "
for Z in $LIST2
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
	cd /tmp
done

ls -hal

echo 'Title:          portaudio-dev.tcz
Description:    dev files
Version:        19.7.0        
Author:         Ross Becina & Phil Burk
Original-site:  https://github.com/PortAudio/portaudio
Copying-policy: accompanied
Size:           36K           
Extension_by:   aus9 @linuxquestions.org
Tags:           audio i/o
Comments:       Development
                
Change-log:     2014/05/22 v 19.20140130 (Juanito)
Current:        2024/04/27 v 19.7.0 on 15x (aus9) ' > $P-dev.tcz.info
echo 'portaudio.tcz
alsa-dev.tcz                                      ' > $P-dev.tcz.dep                            

echo 'Title:          portaudio.tcz
Description:    audio i/o library
Version:        19.7.0        
Author:         Ross Becina & Phil Burk
Original-site:  https://github.com/PortAudio/portaudio
Copying-policy: accompanied
Size:           68K          
Extension_by:   aus9 @linuxquestions.org
Tags:           audio i/o
Comments:       audio i/o library
                
Change-log:     2014/05/22 v 19.20140130 (Juanito)
Current:        2024/04/27 v 19.7.0 on 15x (aus9) ' > $P.tcz.info
readelf -d $P/usr/local/lib/*.so | grep 'NEEDED'
#libasound.so.2]libasound
#libportaudio.so.2]this TCE

echo 'libasound.tcz' > $P.tcz.dep

submitqc --libs
rm -rf *.zsync


